package com.tuoheng.admin.pojo.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Author: 吴彬
 * @CreateTime: 2023-05-22  19:09
 * @Description: 机场列表Vo
 * @Version: 1.0
 */
@Data
public class AirportListVo {

    /**
     * 机场ID
     */
    private Integer id;

    /**
     * 设备编号
     */
    private String code;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 机场照片
     */
    private String image;

    /**
     * 外部监控地址
     */
    private String externalMonitorUrl;
    /**
     * 外部监控地址flkv
     */
    private String flvExternalMonitorUrl;
    /**
     * 内部监控地址
     */
    private String internalMonitorUrl;

    /**
     * 覆盖范围
     */
    private String coverage;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 备注
     */
    private String note;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 无人机ID
     */
    private Integer droneId;

    /**
     * 无人机名称
     */
    private String droneName;
    /**
     * 地面站url
     */
    private String groundStationUrl;

    /**
     * 控制板Id
     */
    private String edgeId;

    /**
     * mqtt控制板客户端Id
     */
    private String mqClientId;
    /**
     * 添加人
     */
    private Integer createUser;

    //任务航线
    private List taskLineList;

    //机场运行状态
    private int status;

    //机场在线状态
    private boolean online;

    private String address;

    //状态
    private int astatus;
    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

}
